apiVersion: "rbac.istio.io/v1alpha1"
kind: ServiceRoleBinding
metadata:
  name: productviewe-binding
  namespace: myproject
spec:
  subjects:
  - properties:
      request.auth.claims[realm_access]:
        roles:
        - prod
        - uma_authorization
  roleRef:
    kind: ServiceRole
    name: "productviewer"
